Skip to main content
GET
/
v1
/
deployment_logs
/
query
Deployment Logs Query
curl --request GET \
  --url https://api.example.com/v1/deployment_logs/query \
  --header 'Authorization: Bearer <token>'
{
  "entries": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Query Parameters

deploy_id
string
required

the deploy id to get the logs from

pod_name
string | null

the pod name to get the logs from

from
string | null

start of period, in fractional seconds since unix epoch (inclusive)

to
string | null

end of period, in fractional seconds since unix epoch (exclusive)

limit
integer
default:100

how many items to return at most (default 100, in [1, 1000])

Response

Successful Response

entries
Entries · object

mapping of pod names to log lines ordered by increasing timestamp